Subject: Re: bug#47300: delete-window to select window with same position

From: martin rudalics <[email-masked]>
Date: Sun, 23 May 2021 10:43:32 +0200

> I don't know why, but sometimes `window-at' returns 'nil'.

This can happen because we are feeding it with the wrong arguments or
because there is a bug in its implementation.  I'd suggest you rewrite
`window-at' so you can easily put a breakpoint there when it returns nil
(or write your own `my-window-at' for that purpose) and wait till that
breakpoint gets hit.

Then have a look at the X, Y arguments and, if they are good, step with
GDB through coordinates_in_window to find out where and why it fails.

martin